resource "kubernetes_manifest" "receiver_topic" {
  manifest = {
    "apiVersion" = "kafka.strimzi.io/v1beta2"
    "kind"       = "KafkaTopic"
    "metadata"   = {
      "labels" = {
        "strimzi.io/cluster" = var.cluster-name
      }
      "name"      = "dev.receiver.json"
      "namespace" = var.namespace
    }
    "spec" = {
      "config" = {
        "retention.ms"  = 5257000000
        "segment.bytes" = 1073741824
      }
      "partitions" = 12
      "replicas"   = 1
    }
  }
}

resource "kubernetes_manifest" "emitter_topic" {
  manifest = {
    "apiVersion" = "kafka.strimzi.io/v1beta2"
    "kind"       = "KafkaTopic"
    "metadata"   = {
      "labels" = {
        "strimzi.io/cluster" = var.cluster-name
      }
      "name"      = "dev.emitter.json"
      "namespace" = var.namespace
    }
    "spec" = {
      "config" = {
        # 2 months
        "retention.ms"  = 5257000000
        "segment.bytes" = 1073741824
      }
      "partitions" = 12
      "replicas"   = 1
    }
  }
}